{% extends 'parent.html' %}
{% block content %}
{% if message is defined %}
    {{message}}
{% endif %}

<form action="" method="POST">
    <div>
        <input style="display: block" type="text" id="team_name" name="team_name" placeholder="New teams name" {% if team is defined %}value="{{team.name}}"{% endif %}/>
        <input style="display: block" type="text" id="captain" name="captain" placeholder="Name of team captain" {% if team is defined and team.captain != None %}value="{{team.captain}}"{% endif %}/>
        <input style="display: block" type="number" id="founded" name="founded" placeholder="Year of foundation" {% if team is defined %}value="{{team.founded}}"{% endif %} />
    </div>
    <input type="submit" value="Submit">
</form>

{% if team is defined %}
    <a href="/deleteTeam/{{team.id}}">Csapat törlése</a>
{% endif %}

{% endblock %}